
--[[

Translations are maintained at http://wow.curseforge.com/projects/messageboard/localization/

This is the master import file for the localization system.  All changes to this
file need to be updated in the localization system.

--]]

local L = LibStub("AceLocale-3.0"):NewLocale("MessageBoard", "enUS", true)
if not L then return end

MessageBoardLANG={
	Help={},
	Widget={},
};

-- Settings
L["OPT_BUTTON_SETTINGS"] = "Settings"
L["OPT_BUTTON_AVATAR"] = "Avatar"
L["OPT_BUTTON_CATEGORY"] = "Categories"
L["OPT_BUTTON_RANK"] = "Ranks"
L["OPT_BUTTON_MISC"] = "Misc"
L["OPT_BUTTON_VERSIONS"] = "Versions"
L["OPT_BUTTON_SAVE"] = "Save"
L["OPT_BUTTON_CLEAR"] = "Clear"

L["OPT_USER_TITLE"] = "User Settings"
L["OPT_USER_BGLABEL"] = "Background: "
L["OPT_USER_CHATNOTIFY"] = "Show a new post notification in the chat window"
L["OPT_USER_POPUPNOTIFY"] = "Show a new post notification in a toast popup"
L["OPT_USER_QUOTETEXT"] = "Quoted text on reply by default"
L["OPT_USER_MINIMAP"] = "Show Minimap Button"
L["OPT_POST_COUNT"] = "Post Count: "
L["OPT_FORUM_RANK"] = "Forum Rank: "

L["OPT_CAT_TITLE"] = "Setup Categories"
L["OPT_CAT_LABEL"] = "Category "
L["OPT_CAT_ICONLABEL"] = "Icon"
L["OPT_CAT_OFFICERLABEL"] = "Officer Rank"
L["OPT_CAT_NORMALLABEL"] = "Normal Rank"
L["OPT_CAT_READLABEL"] = "Read"
L["OPT_CAT_WRITELABEL"] = "Post"
L["OPT_CAT_COLORPICKER"] = "Allow Color Picker"
L["OPT_CAT_ALTERNATEADMIN"] = "Also use Guild Player Note when assigning an Administrator"

L["OPT_AV_TITLE"] = "Select Your Avatar"
L["OPT_AV_AVAILABLE"] = "Available Icons"

L["OPT_RANK_TITLE"] = "Setup Ranks"
L["OPT_RANK_HELP1"] = "Ranks set as Alt may only read and not post."
L["OPT_RANK_HELP2"] = "Ranks set as No Access will not be able to read or post."
L["OPT_RANK_OFFICER"] = "Officer"
L["OPT_RANK_NORMAL"] = "Normal"
L["OPT_RANK_ALT"] = "Alt"
L["OPT_RANK_NOACCESS"] = "No Access"

L["OPT_CHAT_NOTIFY"] = "Show a new post notification in the chat window."
L["OPT_TOAST_NOTIFY"] = "Show a new post notification in a toast popup."
L["OPT_QUOTE_ON_REPLY"] = "Quote text on reply."
L["OPT_CHOOSE_BACKGROUND"] = "Choose MessageBoard background."
L["OPT_CHOOSE_AVATAR"] = "Choose Avatar"
L["BACKGROUND_CLASSIC"] = "Classic"
L["BACKGROUND_BC"] = "The Burning Crusade"
L["BACKGROUND_WOTLK"] = "Wrath of the Lich King"
L["BACKGROUND_CATA"] = "Cataclysm"
L["BACKGROUND_MOP"] = "Mists of Pandaria"
L["BACKGROUND_WOD"] = "Warlords of Draenor"

-- Main Window
L["MAIN_NEW_TOPIC"] = "New Topic"
L["MAIN_NEW_REPLY"] = "Reply"
L["MAIN_NEW_POLL"] = "New Poll"
L["MAIN_BACK_BUTTON"] = "Back"
L["JOIN_A_GUILD"] = "Must be in a guild to use MessageBoard."
L["MB_STATS_POSTS"] ="Authors: |cFFFFCC00%d|r Messages: |cFFFFCC00%d|r"
L["MAIN_TITLE_AUTHORS"] = "Authors"
L["MAIN_TITLE_MESSAGES"] = "Messages"

-- Pop Up Dialog Boxes
L["POPUP_URL_COPY"] = "URL - Ctrl-C to copy"
L["POPUP_ENTER_PASSWORD"] = "Enter new password:"
L["POPUP_TEXT_COPY"] = "Text - Ctrl-C to copy"

-- Category Password
L["CAT_PASS_FOR"] = "Password for Category "
L["CAT_PASS_CLEARED"] = " cleared."
L["CAT_PASS_SETTO"] = " set to "

-- Notifications
L["NOT_ALLOWED_POST"] = "Not allowed to post in this Category."
L["NOT_ALLOWED_ACCESS"] = "Not allowed access to this Category."
L["NO_REPLY_ALLOWED"] = "Not allowed to reply in this Category."
L["TOPIC_IS_LOCKED"] = "Topic is locked."
L["TOPIC_IS_EXIST"] = "Topic already exists."
L["CONNECTED_TO_THE"] = "Connected to the "
L["GUILD_FORUM"] = " Guild Forum"
L["NUMBER_SEARCH_RESULTS"] = "Number of results: "

-- New Message Notifications
L["NEW_POST_IN"] = "New Guild Forum Post in "

-- Ranks
L["MB_IS_ADMIN"] = "Administrator"

-- Slash Help
L["SLASH_HELP_1"] = "To assign administrators:"
L["SLASH_HELP_2"] = "Add #MB:A in the officer's or player's note."
L["SLASH_HELP_3"] = "The administrators will also need to be able to read the officer's note in the guild setup."
L["SLASH_HELP_4"] = "For the administrator to activate the privileges, the guild-roster must have been displayed once after logging in."
L["SLASH_HELP_5"] = "To check guild versions use /mb ver."

-- Version Check
L["VER_CHECK_TITLE"] = "MessageBoard Version Check"
L["VER_CHECK_USER"] = " has MessageBoard version "

-- Text Editor
L["EDITOR_CAT_LABEL"] = "Category:"
L["EDITOR_TOPIC_LABEL"] = "Topic:"
L["EDITOR_MESSAGE_LABEL"] = "Message:"
L["EDITOR_MESSAGE_COPY"] = "Copy"
L["EDITOR_MESSAGE_SAVE"] = "Save"
L["EDITOR_MESSAGE_SAVEDRAFT"] = "Save Draft"
L["EDITOR_MESSAGE_LOADDRAFT"] = "Load Draft"
L["EDITOR_MESSAGE_DISCARD"] = "Discard"
L["EDITOR_MESSAGE_ANNOUNCE"] = "Announcement"
L["EDITOR_MESSAGE_STICKY"] = "Sticky"
L["EDITOR_MESSAGE_LOCKED"] = "Locked"
L["EDITOR_MESSAGE_QUOTE"] = "Quote"
L["EDITOR_MISSING_NAME"] = "Missing Topic Name"
L["EDITOR_DRAFT_SAVED"] = "Draft Saved"
L["EDITOR_DRAFT_LOADED"] = "Draft Loaded"
L["EDITOR_TOPIC_EXISTS"] = "Topic Already Exists"
L["EDITOR_MISSING_NAME"] = "Missing Topic Name"
L["EDITOR_SPECIAL_CHARS"] = "<,>, or quotations not allowed"
L["EDITOR_MISSING_POLLQ"] = "Missing Poll Question"
L["EDITOR_MISSING_POLLA"] = "Missing Poll Answers"
L["EDITOR_POLL_QUESTION"] = "Poll Question:"
L["EDITOR_POLL_ANSWERS"] = "Poll Answers:"
L["EDITOR_POLL_ANSWER"] = "Answer "

-- Topic Scroller
L["TOPIC_SCROLLER_EDIT"] = " Edit"
L["TOPIC_SCROLLER_REPLY"] = "Reply"
L["TOPIC_SCROLLER_DELETE"] = "Delete"


-- Date-format
MessageBoardLANG.Widget.NearDate="%a, %B %d. %Y at %I:%M %p";	-- NearDate is not long ago, so year should not
																-- be needed. It is important that this date
																-- is as physically short as possible.
													
--MessageBoardLANG.Widget.NearDate="%a, %d. %b";
 
--[[
\n  next line
%a	abbreviated weekday name (e.g., Wed)
%A	full weekday name (e.g., Wednesday)
%b	abbreviated month name (e.g., Sep)
%B	full month name (e.g., September)
%c	date and time (e.g., 09/16/98 23:48:10)
%d	day of the month (16) [01-31]
%H	hour, using a 24-hour clock (23) [00-23]
%I	hour, using a 12-hour clock (11) [01-12]
%M	minute (48) [00-59]
%m	month (09) [01-12]
%p	either "am" or "pm" (pm)
%S	second (10) [00-61]
%w	weekday (3) [0-6 = Sunday-Saturday]
%x	date (e.g., 09/16/98)
%X	time (e.g., 23:48:10)
%Y	full year (1998)
%y	two-digit year (98) [00-99]
%%	the character `%
]]